id: '12a686e4-c434-407a-836f-9b7402a7c4eb'
name: 'Snowflake_AW2017'
timestamp: '2024-09-11T09:56:17.9022512Z'
sourceSystem:
  type: 'Snowflake'
sourceObjects:
- name: 'CREDITCARD'
  objectType: {}
  terms:
  - name: 'CREDITCARDID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CARDTYPE'
    sourceDataType:
      name: 'text'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CARDNUMBER'
    sourceDataType:
      name: 'text'
      length: 25
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'EXPMONTH'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'EXPYEAR'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp_tz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'CURRENCY'
  objectType: {}
  terms:
  - name: 'CURRENCYCODE'
    sourceDataType:
      name: 'text'
      length: 3
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'NAME'
    sourceDataType:
      name: 'text'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp_tz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'CURRENCYRATE'
  objectType: {}
  terms:
  - name: 'CURRENCYRATEID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CURRENCYRATEDATE'
    sourceDataType:
      name: 'timestamp_tz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'FROMCURRENCYCODE'
    sourceDataType:
      name: 'text'
      length: 3
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'TOCURRENCYCODE'
    sourceDataType:
      name: 'text'
      length: 3
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'AVERAGERATE'
    sourceDataType:
      name: 'number'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ENDOFDAYRATE'
    sourceDataType:
      name: 'number'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp_tz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'CUSTOMER'
  objectType: {}
  terms:
  - name: 'CUSTOMERID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PERSONID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'STOREID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'TERRITORYID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ACCOUNTNUMBER'
    sourceDataType:
      name: 'text'
      length: 10
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ROWGUID'
    sourceDataType:
      name: 'text'
      length: 36
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp_tz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'DEPARTMENT'
  objectType: {}
  terms:
  - name: 'DEPARTMENTID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'NAME'
    sourceDataType:
      name: 'text'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'GROUPNAME'
    sourceDataType:
      name: 'text'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp_ntz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'EMPLOYEE'
  objectType: {}
  terms:
  - name: 'BUSINESSENTITYID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'NATIONALIDNUMBER'
    sourceDataType:
      name: 'text'
      length: 15
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'LOGINID'
    sourceDataType:
      name: 'text'
      length: 256
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ORGANIZATIONNODE'
    sourceDataType:
      name: 'text'
      length: 65535
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ORGANIZATIONLEVEL'
    sourceDataType:
      name: 'text'
      length: 65535
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'JOBTITLE'
    sourceDataType:
      name: 'text'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'BIRTHDATE'
    sourceDataType:
      name: 'date'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MARITALSTATUS'
    sourceDataType:
      name: 'text'
      length: 1
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'GENDER'
    sourceDataType:
      name: 'text'
      length: 1
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'HIREDATE'
    sourceDataType:
      name: 'date'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SALARIEDFLAG'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'VACATIONHOURS'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SICKLEAVEHOURS'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CURRENTFLAG'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ROWGUID'
    sourceDataType:
      name: 'text'
      length: 36
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp_ntz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'EMPLOYEEDEPARTMENTHISTORY'
  objectType: {}
  terms:
  - name: 'BUSINESSENTITYID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'DEPARTMENTID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SHIFTID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'STARTDATE'
    sourceDataType:
      name: 'timestamp_ntz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ENDDATE'
    sourceDataType:
      name: 'timestamp_ntz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp_ntz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'PERSON'
  objectType: {}
  terms:
  - name: 'BUSINESSENTITYID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PERSONTYPE'
    sourceDataType:
      name: 'text'
      length: 2
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'NAMESTYLE'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'TITLE'
    sourceDataType:
      name: 'text'
      length: 8
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'FIRSTNAME'
    sourceDataType:
      name: 'text'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MIDDLENAME'
    sourceDataType:
      name: 'text'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'LASTNAME'
    sourceDataType:
      name: 'text'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SUFFIX'
    sourceDataType:
      name: 'text'
      length: 10
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'EMAILPROMOTION'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ADDITIONALCONTACTINFO'
    sourceDataType:
      name: 'text'
      length: 65535
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'DEMOGRAPHICS'
    sourceDataType:
      name: 'text'
      length: 65535
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ROWGUID'
    sourceDataType:
      name: 'text'
      length: 36
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp_tz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'PERSONPHONE'
  objectType: {}
  terms:
  - name: 'BUSINESSENTITYID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PHONENUMBER'
    sourceDataType:
      name: 'text'
      length: 25
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PHONENUMBERTYPEID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp_tz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'PHONENUMBERTYPE'
  objectType: {}
  terms:
  - name: 'PHONENUMBERTYPEID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'NAME'
    sourceDataType:
      name: 'text'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp_tz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'PRODUCT'
  objectType: {}
  terms:
  - name: 'PRODUCTID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'NAME'
    sourceDataType:
      name: 'text'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PRODUCTNUMBER'
    sourceDataType:
      name: 'text'
      length: 25
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MAKEFLAG'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'FINISHEDGOODSFLAG'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'COLOR'
    sourceDataType:
      name: 'text'
      length: 15
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SAFETYSTOCKLEVEL'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'REORDERPOINT'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'STANDARDCOST'
    sourceDataType:
      name: 'number'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'LISTPRICE'
    sourceDataType:
      name: 'number'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SIZE'
    sourceDataType:
      name: 'text'
      length: 5
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SIZEUNITMEASURECODE'
    sourceDataType:
      name: 'text'
      length: 3
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'WEIGHTUNITMEASURECODE'
    sourceDataType:
      name: 'text'
      length: 3
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'WEIGHT'
    sourceDataType:
      name: 'number'
      scale: 2
      precision: 8
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'DAYSTOMANUFACTURE'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PRODUCTLINE'
    sourceDataType:
      name: 'text'
      length: 2
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CLASS'
    sourceDataType:
      name: 'text'
      length: 2
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'STYLE'
    sourceDataType:
      name: 'text'
      length: 2
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PRODUCTSUBCATEGORYID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PRODUCTMODELID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SELLSTARTDATE'
    sourceDataType:
      name: 'timestamp_tz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SELLENDDATE'
    sourceDataType:
      name: 'timestamp_tz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'DISCONTINUEDDATE'
    sourceDataType:
      name: 'timestamp_tz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ROWGUID'
    sourceDataType:
      name: 'text'
      length: 36
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp_tz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'PRODUCTCATEGORY'
  objectType: {}
  terms:
  - name: 'PRODUCTCATEGORYID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'NAME'
    sourceDataType:
      name: 'text'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ROWGUID'
    sourceDataType:
      name: 'text'
      length: 36
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp_tz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'PRODUCTSUBCATEGORY'
  objectType: {}
  terms:
  - name: 'PRODUCTSUBCATEGORYID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PRODUCTCATEGORYID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'NAME'
    sourceDataType:
      name: 'text'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ROWGUID'
    sourceDataType:
      name: 'text'
      length: 36
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp_tz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'SALESORDERDETAIL'
  objectType: {}
  terms:
  - name: 'SALESORDERID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SALESORDERDETAILID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CARRIERTRACKINGNUMBER'
    sourceDataType:
      name: 'text'
      length: 25
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ORDERQTY'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PRODUCTID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SPECIALOFFERID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'UNITPRICE'
    sourceDataType:
      name: 'number'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'UNITPRICEDISCOUNT'
    sourceDataType:
      name: 'number'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'LINETOTAL'
    sourceDataType:
      name: 'number'
      scale: 6
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ROWGUID'
    sourceDataType:
      name: 'text'
      length: 36
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp_tz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'SALESORDERHEADER'
  objectType: {}
  terms:
  - name: 'SALESORDERID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'REVISIONNUMBER'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ORDERDATE'
    sourceDataType:
      name: 'timestamp_tz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'DUEDATE'
    sourceDataType:
      name: 'timestamp_tz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SHIPDATE'
    sourceDataType:
      name: 'timestamp_tz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'STATUS'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ONLINEORDERFLAG'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SALESORDERNUMBER'
    sourceDataType:
      name: 'text'
      length: 25
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PURCHASEORDERNUMBER'
    sourceDataType:
      name: 'text'
      length: 25
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ACCOUNTNUMBER'
    sourceDataType:
      name: 'text'
      length: 15
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CUSTOMERID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SALESPERSONID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'TERRITORYID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'BILLTOADDRESSID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SHIPTOADDRESSID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SHIPMETHODID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CREDITCARDID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CREDITCARDAPPROVALCODE'
    sourceDataType:
      name: 'text'
      length: 15
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CURRENCYRATEID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SUBTOTAL'
    sourceDataType:
      name: 'number'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'TAXAMT'
    sourceDataType:
      name: 'number'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'FREIGHT'
    sourceDataType:
      name: 'number'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'TOTALDUE'
    sourceDataType:
      name: 'number'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'COMMENT'
    sourceDataType:
      name: 'text'
      length: 128
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ROWGUID'
    sourceDataType:
      name: 'text'
      length: 36
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp_tz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'SALESTERRITORY'
  objectType: {}
  terms:
  - name: 'TERRITORYID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'NAME'
    sourceDataType:
      name: 'text'
      length: 25
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'COUNTRYREGIONCODE'
    sourceDataType:
      name: 'text'
      length: 3
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'GROUPTERRITORY'
    sourceDataType:
      name: 'text'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SALESYTD'
    sourceDataType:
      name: 'number'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SALESLASTYEAR'
    sourceDataType:
      name: 'number'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'COSTYTD'
    sourceDataType:
      name: 'number'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'COSTLASTYEAR'
    sourceDataType:
      name: 'number'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ROWGUID'
    sourceDataType:
      name: 'text'
      length: 36
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp_tz'
      precision: 9
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
